Bug 21617 - ELF Bin not found
ELF Bin not found
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-02 12:31 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-04 04:45:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-02 12:31:08 EST
I have ELF binaries complied with a previous version, and they work with 
RedHat 6.2. However when running them under RedHat 7.0, the file exists, 
but does not run, and claims 'File does not exist'.
Comment 1 Arjan van de Ven 2000-12-04 04:45:30 EST
This means they are libc5 binaries. Red Hat 7 does not support those anymore;
however, you can install the "compat" rpms from version 6.2 though. Iirc the
packages are
ld.so-1.9.5-13.i386.rpm
libc-5.3.12-31.i386.rpm
and perhaps (I'm not sure, try without it first)
compat-glibc-5.2-2.0.7.2.i386.rpm

you can get them from
http://www.mirror.ac.uk/sites/ftp.redhat.com/pub/redhat/redhat-6.2/i386/RedHat/RPMS/%5Bpage=3%5D

Note You need to log in before you can comment on or make changes to this bug.